# Configuring image name & version for the connectware-agent Helm chart

By default, agents deployed using the `connectware-agent` Helm chart will be using the official default protocol-mapper image in a specific version coupled with the Helm chart version you are using.

You can view this version by executing a Helm search for the `connectware-agent` Helm chart, and viewing the “APP VERSION” column.

**Example**

{% code lineNumbers="true" %}

```bash
helm search repo connectware-agent -l
```

{% endcode %}

{% code lineNumbers="true" %}

```yaml
NAME                   	CHART VERSION	APP VERSION	DESCRIPTION
cybus/connectware-agent	2.1.0      	    2.1.0      	Cybus Connectware standalone agents
```

{% endcode %}

## Changing Connectware Agent Version

To change the image version used by the agent, specify the version of the protocol-mapper image you want in the image.version value inside the agents entry in the protocolMapperAgents context of your `values.yaml` file.

**Example**

{% code lineNumbers="true" %}

```yaml
protocolMapperAgents:
  - name: bender-robots
    connectwareHost: connectware.cybus # adjust to actual hostname of Connectware
    image:
      version: '2.1.0' # set to desired version
```

{% endcode %}

## Changing Connectware Agent Image

If you are using a custom protocol-mapper image instead of the official default image, you can specify the image name in the image.name value inside the agents entry in the protocolMapperAgents context of your `values.yaml` file.

**Example**

{% code lineNumbers="true" %}

```yaml
protocolMapperAgents:
  - name: bender-robots
    connectwareHost: connectware.cybus # adjust to actual hostname of Connectware
    image:
      name: my-custom-protocol-mapper # set name of your image
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cybus.io/2-1-2/documentation/agents/agents-in-kubernetes/configuring-agents-with-the-connectware-agent-helm-chart/configuring-image-name-and-version-for-the-connectware-agent-helm-chart.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
